Package org.drinkless.tdlib

# Class TdApi.Message

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Message

Enclosing class:
  TdApi

public static class TdApi.Message extends TdApi.Object
Describes a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `authorSignature`
  For channel posts and anonymous group messages, optional author signature.
  `double`
  `autoDeleteIn`
  Time left before the message will be automatically deleted by messageAutoDeleteTime setting of the chat, in seconds; 0 if never.
  `boolean`
  `canBeDeletedForAllUsers`
  True, if the message can be deleted for all users.
  `boolean`
  `canBeDeletedOnlyForSelf`
  True, if the message can be deleted only for the current user while other users will continue to see it.
  `boolean`
  `canBeEdited`
  True, if the message can be edited.
  `boolean`
  `canBeForwarded`
  True, if the message can be forwarded.
  `boolean`
  `canBeRepliedInAnotherChat`
  True, if the message can be replied in another chat or topic.
  `boolean`
  `canBeSaved`
  True, if content of the message can be saved locally or copied.
  `boolean`
  `canGetAddedReactions`
  True, if the list of added reactions is available through getMessageAddedReactions.
  `boolean`
  `canGetMediaTimestampLinks`
  True, if media timestamp links can be generated for media timestamp entities in the message text, caption or link preview description through getMessageLink.
  `boolean`
  `canGetMessageThread`
  True, if information about the message thread is available through getMessageThread and getMessageThreadHistory.
  `boolean`
  `canGetReadDate`
  True, if read date of the message can be received through getMessageReadDate.
  `boolean`
  `canGetStatistics`
  True, if the message statistics are available through getMessageStatistics.
  `boolean`
  `canGetViewers`
  True, if chat members already viewed the message can be received through getMessageViewers.
  `boolean`
  `canReportReactions`
  True, if reactions on the message can be reported through reportMessageReactions.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `containsUnreadMention`
  True, if the message contains an unread mention for the current user.
  `TdApi.MessageContent`
  `content`
  Content of the message.
  `int`
  `date`
  Point in time (Unix timestamp) when the message was sent.
  `int`
  `editDate`
  Point in time (Unix timestamp) when the message was last edited.
  `long`
  `effectId`
  Unique identifier of the effect added to the message; 0 if none.
  `TdApi.FactCheck`
  `factCheck`
  Information about fact-check added to the message; may be null if none.
  `TdApi.MessageForwardInfo`
  `forwardInfo`
  Information about the initial message sender; may be null if none or unknown.
  `boolean`
  `hasTimestampedMedia`
  True, if media timestamp entities refers to a media in this message as opposed to a media in the replied message.
  `long`
  `id`
  Message identifier; unique for the chat to which the message belongs.
  `TdApi.MessageImportInfo`
  `importInfo`
  Information about the initial message for messages created with importMessages; may be null if the message isn't imported.
  `TdApi.MessageInteractionInfo`
  `interactionInfo`
  Information about interactions with the message; may be null if none.
  `boolean`
  `isChannelPost`
  True, if the message is a channel post.
  `boolean`
  `isFromOffline`
  True, if the message was sent because of a scheduled action by the message sender, for example, as away, or greeting service message.
  `boolean`
  `isOutgoing`
  True, if the message is outgoing.
  `boolean`
  `isPinned`
  True, if the message is pinned.
  `boolean`
  `isTopicMessage`
  True, if the message is a forum topic message.
  `long`
  `mediaAlbumId`
  Unique identifier of an album this message belongs to; 0 if none.
  `long`
  `messageThreadId`
  If non-zero, the identifier of the message thread the message belongs to; unique within the chat to which the message belongs.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  Reply markup for the message; may be null if none.
  `TdApi.MessageReplyTo`
  `replyTo`
  Information about the message or the story this message is replying to; may be null if none.
  `String`
  `restrictionReason`
  If non-empty, contains a human-readable description of the reason why access to this message must be restricted.
  `long`
  `savedMessagesTopicId`
  Identifier of the Saved Messages topic for the message; 0 for messages not from Saved Messages.
  `TdApi.MessageSchedulingState`
  `schedulingState`
  The scheduling state of the message; may be null if the message isn't scheduled.
  `double`
  `selfDestructIn`
  Time left before the message self-destruct timer expires, in seconds; 0 if self-destruction isn't scheduled yet.
  `TdApi.MessageSelfDestructType`
  `selfDestructType`
  The message's self-destruct type; may be null if none.
  `int`
  `senderBoostCount`
  Number of times the sender of the message boosted the supergroup at the time the message was sent; 0 if none or unknown.
  `long`
  `senderBusinessBotUserId`
  If non-zero, the user identifier of the business bot that sent this message.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of the message.
  `TdApi.MessageSendingState`
  `sendingState`
  The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.
  `TdApi.UnreadReaction[]`
  `unreadReactions`
  Information about unread reactions added to the message.
  `long`
  `viaBotUserId`
  If non-zero, the user identifier of the inline bot through which this message was sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`
  Describes a message.
  `Message(long id, TdApi.MessageSender senderId, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean isFromOffline, boolean canBeEdited, boolean canBeForwarded, boolean canBeRepliedInAnotherChat, boolean canBeSaved, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetAddedReactions, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetReadDate, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean canReportReactions, boolean hasTimestampedMedia, boolean isChannelPost, boolean isTopicMessage, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageImportInfo importInfo, TdApi.MessageInteractionInfo interactionInfo, TdApi.UnreadReaction[] unreadReactions, TdApi.FactCheck factCheck, TdApi.MessageReplyTo replyTo, long messageThreadId, long savedMessagesTopicId, TdApi.MessageSelfDestructType selfDestructType, double selfDestructIn, double autoDeleteIn, long viaBotUserId, long senderBusinessBotUserId, int senderBoostCount, String authorSignature, long mediaAlbumId, long effectId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
  Describes a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Message identifier; unique for the chat to which the message belongs.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the sender of the message.

  - ### chatId

    public long chatId
    Chat identifier.

  - ### sendingState

    @Nullable public TdApi.MessageSendingState sendingState
    The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.

  - ### schedulingState

    @Nullable public TdApi.MessageSchedulingState schedulingState
    The scheduling state of the message; may be null if the message isn't scheduled.

  - ### isOutgoing

    public boolean isOutgoing
    True, if the message is outgoing.

  - ### isPinned

    public boolean isPinned
    True, if the message is pinned.

  - ### isFromOffline

    public boolean isFromOffline
    True, if the message was sent because of a scheduled action by the message sender, for example, as away, or greeting service message.

  - ### canBeEdited

    public boolean canBeEdited
    True, if the message can be edited. For live location and poll messages this fields shows whether editMessageLiveLocation or stopPoll can be used with this message by the application.

  - ### canBeForwarded

    public boolean canBeForwarded
    True, if the message can be forwarded.

  - ### canBeRepliedInAnotherChat

    public boolean canBeRepliedInAnotherChat
    True, if the message can be replied in another chat or topic.

  - ### canBeSaved

    public boolean canBeSaved
    True, if content of the message can be saved locally or copied.

  - ### canBeDeletedOnlyForSelf

    public boolean canBeDeletedOnlyForSelf
    True, if the message can be deleted only for the current user while other users will continue to see it.

  - ### canBeDeletedForAllUsers

    public boolean canBeDeletedForAllUsers
    True, if the message can be deleted for all users.

  - ### canGetAddedReactions

    public boolean canGetAddedReactions
    True, if the list of added reactions is available through getMessageAddedReactions.

  - ### canGetStatistics

    public boolean canGetStatistics
    True, if the message statistics are available through getMessageStatistics.

  - ### canGetMessageThread

    public boolean canGetMessageThread
    True, if information about the message thread is available through getMessageThread and getMessageThreadHistory.

  - ### canGetReadDate

    public boolean canGetReadDate
    True, if read date of the message can be received through getMessageReadDate.

  - ### canGetViewers

    public boolean canGetViewers
    True, if chat members already viewed the message can be received through getMessageViewers.

  - ### canGetMediaTimestampLinks

    public boolean canGetMediaTimestampLinks
    True, if media timestamp links can be generated for media timestamp entities in the message text, caption or link preview description through getMessageLink.

  - ### canReportReactions

    public boolean canReportReactions
    True, if reactions on the message can be reported through reportMessageReactions.

  - ### hasTimestampedMedia

    public boolean hasTimestampedMedia
    True, if media timestamp entities refers to a media in this message as opposed to a media in the replied message.

  - ### isChannelPost

    public boolean isChannelPost
    True, if the message is a channel post. All messages to channels are channel posts, all other messages are not channel posts.

  - ### isTopicMessage

    public boolean isTopicMessage
    True, if the message is a forum topic message.

  - ### containsUnreadMention

    public boolean containsUnreadMention
    True, if the message contains an unread mention for the current user.

  - ### date

    public int date
    Point in time (Unix timestamp) when the message was sent.

  - ### editDate

    public int editDate
    Point in time (Unix timestamp) when the message was last edited.

  - ### forwardInfo

    @Nullable public TdApi.MessageForwardInfo forwardInfo
    Information about the initial message sender; may be null if none or unknown.

  - ### importInfo

    @Nullable public TdApi.MessageImportInfo importInfo
    Information about the initial message for messages created with importMessages; may be null if the message isn't imported.

  - ### interactionInfo

    @Nullable public TdApi.MessageInteractionInfo interactionInfo
    Information about interactions with the message; may be null if none.

  - ### unreadReactions

    public TdApi.UnreadReaction[] unreadReactions
    Information about unread reactions added to the message.

  - ### factCheck

    @Nullable public TdApi.FactCheck factCheck
    Information about fact-check added to the message; may be null if none.

  - ### replyTo

    @Nullable public TdApi.MessageReplyTo replyTo
    Information about the message or the story this message is replying to; may be null if none.

  - ### messageThreadId

    public long messageThreadId
    If non-zero, the identifier of the message thread the message belongs to; unique within the chat to which the message belongs.

  - ### savedMessagesTopicId

    public long savedMessagesTopicId
    Identifier of the Saved Messages topic for the message; 0 for messages not from Saved Messages.

  - ### selfDestructType

    @Nullable public TdApi.MessageSelfDestructType selfDestructType
    The message's self-destruct type; may be null if none.

  - ### selfDestructIn

    public double selfDestructIn
    Time left before the message self-destruct timer expires, in seconds; 0 if self-destruction isn't scheduled yet.

  - ### autoDeleteIn

    public double autoDeleteIn
    Time left before the message will be automatically deleted by messageAutoDeleteTime setting of the chat, in seconds; 0 if never.

  - ### viaBotUserId

    public long viaBotUserId
    If non-zero, the user identifier of the inline bot through which this message was sent.

  - ### senderBusinessBotUserId

    public long senderBusinessBotUserId
    If non-zero, the user identifier of the business bot that sent this message.

  - ### senderBoostCount

    public int senderBoostCount
    Number of times the sender of the message boosted the supergroup at the time the message was sent; 0 if none or unknown. For messages sent by the current user, supergroupFullInfo.myBoostCount must be used instead.

  - ### authorSignature

    public String authorSignature
    For channel posts and anonymous group messages, optional author signature.

  - ### mediaAlbumId

    public long mediaAlbumId
    Unique identifier of an album this message belongs to; 0 if none. Only audios, documents, photos and videos can be grouped together in albums.

  - ### effectId

    public long effectId
    Unique identifier of the effect added to the message; 0 if none.

  - ### restrictionReason

    public String restrictionReason
    If non-empty, contains a human-readable description of the reason why access to this message must be restricted.

  - ### content

    public TdApi.MessageContent content
    Content of the message.

  - ### replyMarkup

    @Nullable public TdApi.ReplyMarkup replyMarkup
    Reply markup for the message; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Message

    public Message()
    Describes a message.

  - ### Message

    public Message(long id, TdApi.MessageSender senderId, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean isFromOffline, boolean canBeEdited, boolean canBeForwarded, boolean canBeRepliedInAnotherChat, boolean canBeSaved, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetAddedReactions, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetReadDate, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean canReportReactions, boolean hasTimestampedMedia, boolean isChannelPost, boolean isTopicMessage, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageImportInfo importInfo, TdApi.MessageInteractionInfo interactionInfo, TdApi.UnreadReaction[] unreadReactions, TdApi.FactCheck factCheck, TdApi.MessageReplyTo replyTo, long messageThreadId, long savedMessagesTopicId, TdApi.MessageSelfDestructType selfDestructType, double selfDestructIn, double autoDeleteIn, long viaBotUserId, long senderBusinessBotUserId, int senderBoostCount, String authorSignature, long mediaAlbumId, long effectId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)
    Describes a message.
    Parameters:
      `id` - Message identifier; unique for the chat to which the message belongs.
      `senderId` - Identifier of the sender of the message.
      `chatId` - Chat identifier.
      `sendingState` - The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.
      `schedulingState` - The scheduling state of the message; may be null if the message isn't scheduled.
      `isOutgoing` - True, if the message is outgoing.
      `isPinned` - True, if the message is pinned.
      `isFromOffline` - True, if the message was sent because of a scheduled action by the message sender, for example, as away, or greeting service message.
      `canBeEdited` - True, if the message can be edited. For live location and poll messages this fields shows whether editMessageLiveLocation or stopPoll can be used with this message by the application.
      `canBeForwarded` - True, if the message can be forwarded.
      `canBeRepliedInAnotherChat` - True, if the message can be replied in another chat or topic.
      `canBeSaved` - True, if content of the message can be saved locally or copied.
      `canBeDeletedOnlyForSelf` - True, if the message can be deleted only for the current user while other users will continue to see it.
      `canBeDeletedForAllUsers` - True, if the message can be deleted for all users.
      `canGetAddedReactions` - True, if the list of added reactions is available through getMessageAddedReactions.
      `canGetStatistics` - True, if the message statistics are available through getMessageStatistics.
      `canGetMessageThread` - True, if information about the message thread is available through getMessageThread and getMessageThreadHistory.
      `canGetReadDate` - True, if read date of the message can be received through getMessageReadDate.
      `canGetViewers` - True, if chat members already viewed the message can be received through getMessageViewers.
      `canGetMediaTimestampLinks` - True, if media timestamp links can be generated for media timestamp entities in the message text, caption or link preview description through getMessageLink.
      `canReportReactions` - True, if reactions on the message can be reported through reportMessageReactions.
      `hasTimestampedMedia` - True, if media timestamp entities refers to a media in this message as opposed to a media in the replied message.
      `isChannelPost` - True, if the message is a channel post. All messages to channels are channel posts, all other messages are not channel posts.
      `isTopicMessage` - True, if the message is a forum topic message.
      `containsUnreadMention` - True, if the message contains an unread mention for the current user.
      `date` - Point in time (Unix timestamp) when the message was sent.
      `editDate` - Point in time (Unix timestamp) when the message was last edited.
      `forwardInfo` - Information about the initial message sender; may be null if none or unknown.
      `importInfo` - Information about the initial message for messages created with importMessages; may be null if the message isn't imported.
      `interactionInfo` - Information about interactions with the message; may be null if none.
      `unreadReactions` - Information about unread reactions added to the message.
      `factCheck` - Information about fact-check added to the message; may be null if none.
      `replyTo` - Information about the message or the story this message is replying to; may be null if none.
      `messageThreadId` - If non-zero, the identifier of the message thread the message belongs to; unique within the chat to which the message belongs.
      `savedMessagesTopicId` - Identifier of the Saved Messages topic for the message; 0 for messages not from Saved Messages.
      `selfDestructType` - The message's self-destruct type; may be null if none.
      `selfDestructIn` - Time left before the message self-destruct timer expires, in seconds; 0 if self-destruction isn't scheduled yet.
      `autoDeleteIn` - Time left before the message will be automatically deleted by messageAutoDeleteTime setting of the chat, in seconds; 0 if never.
      `viaBotUserId` - If non-zero, the user identifier of the inline bot through which this message was sent.
      `senderBusinessBotUserId` - If non-zero, the user identifier of the business bot that sent this message.
      `senderBoostCount` - Number of times the sender of the message boosted the supergroup at the time the message was sent; 0 if none or unknown. For messages sent by the current user, supergroupFullInfo.myBoostCount must be used instead.
      `authorSignature` - For channel posts and anonymous group messages, optional author signature.
      `mediaAlbumId` - Unique identifier of an album this message belongs to; 0 if none. Only audios, documents, photos and videos can be grouped together in albums.
      `effectId` - Unique identifier of the effect added to the message; 0 if none.
      `restrictionReason` - If non-empty, contains a human-readable description of the reason why access to this message must be restricted.
      `content` - Content of the message.
      `replyMarkup` - Reply markup for the message; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR